
## Privacy Policy

Loki Messenger is a client application that interacts with the “Service Node” network, which is not wholly owned or run by LAG Foundation Ltd (the publishers of Loki Messenger). This privacy policy can only apply between the user and LAG Foundation Ltd and is limited to any information that LAG Foundation Ltd collects by providing the Loki Messenger client application. Your messages are always encrypted when they travel over the internet, so they can never be shared or viewed (in plaintext) by anyone but yourself and the intended recipients.

### Information you provide

Messages. LAG Foundation and the Service Node network cannot decrypt or otherwise access the content of your messages. The Service Node network queues end-to-end encrypted messages on its servers for delivery to devices that are temporarily offline (e.g. a phone whose battery has died) or can not otherwise be reached. Your message history is stored on your own device or devices.

User Support. If you contact any member of the Loki Messenger team, any personal data you may share with us is kept only for the purposes of researching the issue and contacting you about your case.

### Information that is or may be automatically collected

Messages. Due to the decentralised nature of the Loki Messenger, your encrypted messages will be stored on the Service Node network. Although no one, including the Service Nodes, can see the contents of the messages, in beta non Lokinet integrated Loki Messenger your metadata may be collected by Service Nodes on the network. This may include who messages are being sent to, who they are being sent by, IP addresses, and public key information. No personally identifying information is included in messages, however if Service Node operators are able to identify which is your specific public key (account number) through some other means (for instance, by posting it on Twitter), they may be able to link you to your Messenger identity. LAG Foundation Ltd is only responsible for a small subset of the Service Node network and can not guarantee that your metadata is not being tracked when using the Beta Loki Messenger version. In this version of the Loki Messenger, there is limited metadata privacy protection. We will ensure that this is made clear in the app, until an update which includes much stronger protections is released.

  

Usage Information. the Loki Messenger beta may automatically send us usage information periodically. All personally identifying information is stripped from this data that you provide to us. This data is critical to us to understand how we can improve the Loki Messenger by understanding how users interact with the app, and what is going wrong when the app stops working. This data includes: how often you use the app, how many people you are talking to, how many messages you are sending, how long you spend in the app each day, and any error messages that the app encounters. We do not collect your IP address, public key, contact list, conversation history, or any other type of personal information. When the Full version of Loki messenger is released this data collection will become opt in.

  

You are able to audit how this data is collected in the app by visiting [https://github.com/loki-project/loki-messenger-ios](https://github.com/loki-project/loki-messenger-ios) and inspecting the code of our analytics module.

### Information we may share

Instances where LAG Foundation Ltd may need to share your data:

-   To meet any applicable law, regulation, legal process or enforceable governmental request.
    
-   To enforce applicable Terms, including investigation of potential violations.
    
-   To detect, prevent, or otherwise address fraud, security, or technical issues.
    
-   To protect against harm to the rights, property, or safety of LAG Foundation Ltd, our users, or the public as required or permitted by law.
    

Note: The LAG can only share the data it has obtained, which is very minimal even in the beta program, when Loki Messenger is released live such data will be anonymised before collection limiting the usefulness of such data for purposes other than analysing our broad userbase.

Third Parties

LAG Foundation Ltd distributes the Loki messenger iOS application through two primary sources, the Apple Store and directly through Github. These third party service providers may also collect data on your download of and usage of Loki Messenger. This data collection is our of our hands, although it is information we can view and use as stated in this policy. For more information about how these platforms collect and use information, you should read their privacy policies prior to using them.

You may opt out of this data collection by building the iOS binaries from the repository [https://github.com/loki-project/loki-messenger-ios](https://github.com/loki-project/loki-messenger-ios) and sideloading the app onto a modified Apple device.

### Updates

We will update this privacy policy as needed so that it is current, accurate, and as clear as possible. Your continued use of our Services confirms your acceptance of our updated Privacy Policy.

### Contact Us

If you have questions about our Privacy Policy please contact us at team@loki.network.

Last Updated 28/08/2019
